<?php

include 'load.php';

if(isset($_GET['doid'])){
	$doid=mysqli_real_escape_string($conn,$_GET['doid']);
	$view_qury=mysqli_query($conn,"SELECT * FROM mobiledoctors WHERE doid='$doid'");
	$view_result=mysqli_fetch_array($view_qury);
}

else{
	echo "<script>window.location='doctorslist.php';</script>";
}


	if(isset($_POST['update'])){
		
			$doid = $_GET['doid'];
			$department = $_POST['department'];
			$doname = $_POST['doname'];
			$position = $_POST['position'];
			$phonenumber = $_POST['phonenumber'];
			$email = $_POST['email'];
			$availability = $_POST['availability'];
			$user_name = $_POST['user_name'];
			$user_pass = $_POST['user_pass'];
			$user_pass = password_hash($user_pass,PASSWORD_DEFAULT);
			$status = $_POST['status'];
			
			$imgFile = $_FILES['user_image']['name'];
			$tmp_dir = $_FILES['user_image']['tmp_name'];
			$imgSize = $_FILES['user_image']['size'];
		
			if($imgFile)

			{

			$upload_dir = 'images/doctors/'; // upload directory	

			$imgExt = strtolower(pathinfo($imgFile,PATHINFO_EXTENSION)); // get image extension

			$valid_extensions = array('jpeg', 'jpg', 'png', 'gif' ,'docx' , 'pdf' , 'video' , 'mp3'); // valid extensions

			$userpic = rand(1,1000000).".".$imgExt;

			if(in_array($imgExt, $valid_extensions))

			{			

				if($imgSize < 5000000)

				{

				unlink($upload_dir.$view_result['profile_picture']);

				 move_uploaded_file($tmp_dir,$upload_dir.$userpic);

			}
				
			else

			{

			$errMSG = "Sorry, your file is too large it investould be less then 5MB";

			}

			}

			else

			{

			$errMSG = "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";		

			}	

			}

			else

			{

			// if no image selected the old image remain as it is.

			$userpic = $view_result['profile_picture']; // old image from database

			}

			if(!isset($errMSG)){
			
			$stmt = $DB_con->prepare('UPDATE mobiledoctors
			SET department=:department,
			doname=:doname,
			position=:position,
			phonenumber=:phonenumber,
			email=:email,
			availability=:availability,
			profile_picture=:upic,
			user_name=:user_name,
			user_pass=:user_pass,
			status=:status
			WHERE doid =:doid');
			$stmt->bindParam(':department',$department);
			$stmt->bindParam(':doname',$doname);
			$stmt->bindParam(':position',$position);
			$stmt->bindParam(':phonenumber',$phonenumber);
			$stmt->bindParam(':email',$email);
			$stmt->bindParam(':availability',$availability);
			$stmt->bindParam(':upic',$userpic);
			$stmt->bindParam(':user_name',$user_name);
			$stmt->bindParam(':user_pass',$user_pass);
			$stmt->bindParam(':status',$status);
			$stmt->bindParam(':doid',$doid);
			
			if($stmt->execute()){
		  
			$successMSG = "Doctor Successfully Updated ...";
				
			header("refresh:2;doctorslist.php"); // redirects image view page after 5 seconds.
				
			}else{
				
			$errMSG = "Sorry Data Could Not Updated !";
				
			}
		
    }

}
	
?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="author" content="Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Edit Doctor | Eat More Resturant   | Pos & Invetory System | Dashboard

</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Edit Doctor</h4>
<h6>Update your Doctor</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
									<?php

									if(isset($errMSG)){

									?>
									
									<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-message-square-x"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Error Alerts</h6>
											<div class="text-white"> <?php echo $errMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}
	
									else if(isset($successMSG)){

									?>
									
									<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Success Alerts</h6>
											<div class="text-white"><?php echo $successMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}

									?>	
<div class="row">
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Department</label>
<select name="department" class="select" id="inputdepartment">
										<option value="<?php

												$id = $view_result['department']; 

												$query = $DB_con->prepare('SELECT deid FROM mobiledepartment WHERE deid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['deid'];

												?>"><?php

												$id = $view_result['department'];  

												$query = $DB_con->prepare('SELECT dname FROM mobiledepartment WHERE deid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['dname'];

												?>
										</option>
										<?php

										$stmt = $DB_con->prepare('SELECT * FROM mobiledepartment ORDER BY deid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
										<option value="<?php echo $row['deid']; ?>"><?php echo $row['dname']; ?></option>
										<?php 
										} 
										}
										?>
								</select>
</div>
</div>
<div class="col-lg-8 col-sm-6 col-12">
<div class="form-group">
<label>Doctor Name</label>
<input type="text" name="doname" class="form-control" id="inputdoname" value="<?php echo $view_result['doname']; ?>" placeholder="Enter Doctor Name">							 
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Position</label>
<select name="position" class="select" id="inpuposition">
												<option value="<?php

												$id = $view_result['position']; 

												$query = $DB_con->prepare('SELECT poid FROM mobileposition WHERE poid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['poid'];

												?>"><?php

												$id = $view_result['position'];  

												$query = $DB_con->prepare('SELECT pname FROM mobileposition WHERE poid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['pname'];

												?></option>
												<?php

												$stmt = $DB_con->prepare('SELECT * FROM mobileposition ORDER BY poid');

												$stmt->execute();

												if($stmt->rowCount() > 0)

												{

												while($row=$stmt->fetch(PDO::FETCH_ASSOC))

												{

												extract($row);

												?>
												<option value="<?php echo $row['poid']; ?>"><?php echo $row['pname']; ?></option>
												<?php 
												} 
												}
												?>
								</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Phone Number</label>
<input type="text" name="phonenumber" class="form-control" id="inputphonenumber" value="<?php echo $view_result['phonenumber']; ?>" placeholder="Enter Phone Number" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Email</label>
<input type="text" name="email" class="form-control" id="inputemail" value="<?php echo $view_result['email']; ?>" placeholder="Enter Email" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>User Name</label>
<input type="text" class="form-control" name="user_name" value="<?php echo $view_result['user_name']; ?>" placeholder="Enter Username" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Password</label>
<div class="pass-group">
<input type="password" class="pass-input" name="user_pass" value="<?php echo $view_result['user_pass']; ?>" placeholder="Enter Password" required>
<span class="fas toggle-password fa-eye-slash"></span>
</div>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Availability</label>
<select class="form-control" name="availability" required>
<option value="1" <?php if($view_result['availability']=="1"){echo "selected";} ?>>IN</option>
<option value="2" <?php if($view_result['availability']=="2"){echo "selected";} ?>>OUT</option>
<option value="0" <?php if($view_result['availability']=="0"){echo "selected";} ?>>ABSENT</option>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="form-control" name="status" required>
<option value="1" <?php if($view_result['status']=="1"){echo "selected";} ?>>Active</option>
<option value="0" <?php if($view_result['status']=="0"){echo "selected";} ?>>Deactive</option>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Profile Picture</label>
<label for="user_image"><img src="images/doctors/<?php echo $view_result['profile_picture']; ?>" id="yourImgTag" class="pro_pick" style="width:200px;height:200px;"></label>
												<input type="file" name="user_image" id="user_image" hidden="yes" onChange="dis_name();">
												<script>
												function dis_name(){
												var input = document.getElementById("user_image");
												var fReader = new FileReader();
												fReader.readAsDataURL(input.files[0]);
												fReader.onloadend = function(event){
												var img = document.getElementById("yourImgTag");
												img.src = event.target.result;
												}
												}
												</script>
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<a href="doctorslist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>


<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>